#ifndef __GPOD_FEED_H__
#define __GPOD_FEED_H__

#include "gpod-feed-item.h"

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_FEED (gpod_feed_get_type ())

G_DECLARE_FINAL_TYPE (GpodFeed, gpod_feed, GPOD, FEED, GObject)

GpodFeed *
gpod_feed_new ();

void
gpod_feed_add_item (GpodFeed     *self,
                    GpodFeedItem *feed_item);

gchar *
gpod_feed_get_title (GpodFeed *self);

G_END_DECLS

#endif /* __GPOD_FEED_H__ */
