#include "test-parser.h"

#include <gnome-podcast.h>

#include <glib.h>
#include <locale.h>

int
main (int    argc,
      char **argv)
{
    /*
     * *************************************************************************
     * Prepare Test
     * *************************************************************************
     */
    setlocale (LC_ALL, "");

    g_test_init (&argc, &argv, NULL);
    g_test_bug_base ("https://github.com/julianrichen/gnome-podcast/issues");

    /*
     * *************************************************************************
     * Parser Tests
     * *************************************************************************
     */
    g_test_add ("/parser/load/file", ParserFixture, NULL,
                parser_fixture_set_up,
                test_parser_load_file,
                parser_fixture_tear_down);

    return g_test_run ();
}
